using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sazvezdje
{
    class Program
    {
        static void Main(string[] args)
        {
            int k = int.Parse(Console.ReadLine());
            int i;
            Console.WriteLine(k + 2);
            for (i = 0; i <= k + 1; i++)
            {
                Console.WriteLine("0" + " " + i);
            }
        }
    }
}